Skip to main content

Classes

OrganizationDataApi


METHODS

add_organization_bucket

Add a storage bucket Add a storage bucket.

add_organization_data_file

Add files Add a new file to an existing data item.

add_organization_data_folder

Add data items from bucket Bulk adds data items that already exist in a storage bucket. The bucket path specified should contain folders. Each folder is added as a data item in Edge Impulse.

add_organization_data_item

Add new data Add a new data item. You can add a maximum of 10000 files directly through this API. Use addOrganizationDataFile to add additional files.

add_organization_dataset

Add dataset Add a new research dataset

change_dataset_organization_data_items

Change dataset Change the dataset for selected data items.

clear_checklist_organization_data_items

Clear checklist for data Clear all checklist flags for selected data items.
Create pre-signed S3 upload link Creates a signed link to securely upload data to s3 bucket directly from the client.

delete_dataset_file

Delete file from dataset Delete a file from a dataset

delete_organization_data_file

Delete file Delete a single file from a data item.

delete_organization_data_item

Delete data Delete a data item. This will remove items the items from the underlying storage if your dataset has “bucketPath” set.

delete_organization_data_items

Delete data Delete all data for selected data items. This removes all data in the underlying data bucket.

download_dataset_file

Download file from dataset Download a file from a dataset. Will return a signed URL to the bucket.

download_dataset_folder

Download folder from dataset Download all files in the given folder in a dataset, ignoring any subdirectories.

download_organization_data_file

Download file Download a single file from a data item.

download_organization_data_item

Download data Download all data for selected data items. This function does not query the underlying bucket.

download_organization_single_data_item

Download data Download all data for this data item.

get_organization_bucket

Get storage bucket Get storage bucket details.

get_organization_data_item

Get data metadata Get a data item. This will HEAD the underlying bucket to retrieve the last file information.

get_organization_data_item_transform_jobs

Get transformation jobs for data item Get all transformation jobs that ran for a data item. If limit / offset is not provided then max. 20 results are returned.

get_organization_dataset

Get dataset Get information about a dataset

hide_organization_dataset

Hide dataset Hide a dataset (does not remove underlying data)

list_dataset_files_in_folder

List files in dataset List all files and directories in specified prefix.

list_organization_buckets

List storage buckets Retrieve all configured storage buckets. This does not list the secret key.

list_organization_data

List data Lists all data items. This can be filtered by the ?filter parameter.

list_organization_files

List files Lists all files included by the filter.

organization_bulk_update_metadata

Bulk update metadata Bulk update the metadata of many data items in one go. This requires you to submit a CSV file with headers, one of which the columns should be named ‘name’. The other columns are used as metadata keys.

preview_default_files_in_folder

Preview files in a default dataset Preview files and directories in a default dataset for the given prefix, with support for wildcards. This is an internal API used when starting a transformation job.

preview_organization_data_file

Preview file Preview a single file from a data item (same as downloadOrganizationDataFile but w/ content-disposition inline and could be truncated).

refresh_organization_data

Refresh data Update all data items. HEADs all underlying buckets to retrieve the last file information. Use this API after uploading data directly to S3. If your dataset has bucketId and bucketPath set then this will also remove items that have been removed from S3.

remove_organization_bucket

Remove storage bucket Remove a storage bucket and associated datasets. This will render any data in this storage bucket unreachable.

rename_dataset_file

Rename file from dataset Rename a file in a dataset

update_organization_bucket

Update storage bucket Updates storage bucket details. This only updates fields that were set in the request body. Before updating the bucket details, it is required to verify the connection using the POST /api/organizations/{organizationId}/buckets/verify endpoint. The verification process: 1. Call the verify endpoint with the new bucket details. 2. Poll the verify endpoint until it responds with connectionStatus: connected. 3. If the endpoint responds with connectionStatus: error, the verification has failed. Only proceed with updating the bucket details after receiving a connected status. The polling interval and timeout should be determined based on your application’s requirements.

update_organization_data_item

Update data metadata Update the data item metadata.

update_organization_dataset

Update dataset Set information about a dataset

verify_dataset

Verify dataset Verify whether we can reach a dataset (and return some random files, used for data sources)

verify_existing_organization_bucket

Verify existing bucket connectivity Verify whether we can reach a bucket before adding it.

verify_organization_bucket

Verify bucket connectivity Verify connectivity to a storage bucket and optionally list its contents. This endpoint allows you to: 1. Check if the provided bucket credentials are valid and the bucket is accessible. 2. Optionally list files in the bucket up to a specified limit. 3. Validate the bucket configuration before adding it to the organization. The request can include details such as the bucket name, region, credentials, and listing options. The response provides information about the bucket’s accessibility and, if requested, a list of files in the bucket. Important note on verification process: - For S3-compatible storage backends: Verification is expected to be immediate. - For Azure buckets: Verification takes longer. Users are required to poll this endpoint until the connectionStatus changes from ‘connecting’ to ‘connected’. When dealing with Azure buckets, implement a polling mechanism to check the status periodically until it’s confirmed as connected.

view_dataset_file

View file from dataset View a file that’s located in a dataset (requires JWT auth). File might be converted (e.g. Parquet) or truncated (e.g. CSV).